package com.dbnt.sims.userInfo.mapper;

import com.dbnt.sims.userInfo.model.DashboardConfig;
import com.dbnt.sims.userInfo.model.UserInfo;
import com.dbnt.sims.util.ParamMap;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserInfoMapper {
  List<UserInfo> selectUserInfoList(UserInfo userInfo);

  Integer selectUserInfoListCnt(UserInfo userInfo);

  List<ParamMap> selectManagerList(ParamMap param);

  List<DashboardConfig> selectDashboardConfigList(Integer userSeq);
}
